/* keysyms.c: keysym to Spectrum key mappings for both Xlib and GDK
   Copyright (c) 2000-2003 Philip Kendall, Matan Ziv-Av, Russell Marks,
                           Fredrick Meunier, Catalin Mihaila

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 49 Temple Place, Suite 330, Boston, MA 02111-1307 USA

   Author contact information:

   E-mail: pak21-fuse@srcf.ucam.org
   Postal address: 15 Crescent Road, Wokingham, Berks, RG40 2DB, England

*/

/* This file is autogenerated from keysyms.dat by keysyms.pl.
   Do not edit unless you know what you're doing! */

#include <config.h>

#ifdef UI_GGI

#include <stdlib.h>

#include "keyboard.h"
#include "ui/ui.h"

#include <ggi/ggi.h>

const keysyms_key_info keysyms_data[] = {

  { GIIUC_Escape,      KEYBOARD_1,        KEYBOARD_Caps   },
  { GIIUC_1,           KEYBOARD_1,        KEYBOARD_NONE   },
  { GIIUC_2,           KEYBOARD_2,        KEYBOARD_NONE   },
  { GIIUC_3,           KEYBOARD_3,        KEYBOARD_NONE   },
  { GIIUC_4,           KEYBOARD_4,        KEYBOARD_NONE   },
  { GIIUC_5,           KEYBOARD_5,        KEYBOARD_NONE   },
  { GIIUC_6,           KEYBOARD_6,        KEYBOARD_NONE   },
  { GIIUC_7,           KEYBOARD_7,        KEYBOARD_NONE   },
  { GIIUC_8,           KEYBOARD_8,        KEYBOARD_NONE   },
  { GIIUC_9,           KEYBOARD_9,        KEYBOARD_NONE   },
  { GIIUC_0,           KEYBOARD_0,        KEYBOARD_NONE   },
  { GIIUC_Minus,       KEYBOARD_j,        KEYBOARD_Symbol },
  { GIIUC_Equal,       KEYBOARD_l,        KEYBOARD_Symbol },
  { GIIUC_BackSpace,   KEYBOARD_0,        KEYBOARD_Caps   },
  { GIIUC_q,           KEYBOARD_q,        KEYBOARD_NONE   },
  { GIIUC_Q,           KEYBOARD_q,        KEYBOARD_NONE   },
  { GIIUC_w,           KEYBOARD_w,        KEYBOARD_NONE   },
  { GIIUC_W,           KEYBOARD_w,        KEYBOARD_NONE   },
  { GIIUC_e,           KEYBOARD_e,        KEYBOARD_NONE   },
  { GIIUC_E,           KEYBOARD_e,        KEYBOARD_NONE   },
  { GIIUC_r,           KEYBOARD_r,        KEYBOARD_NONE   },
  { GIIUC_R,           KEYBOARD_r,        KEYBOARD_NONE   },
  { GIIUC_t,           KEYBOARD_t,        KEYBOARD_NONE   },
  { GIIUC_T,           KEYBOARD_t,        KEYBOARD_NONE   },
  { GIIUC_y,           KEYBOARD_y,        KEYBOARD_NONE   },
  { GIIUC_Y,           KEYBOARD_y,        KEYBOARD_NONE   },
  { GIIUC_u,           KEYBOARD_u,        KEYBOARD_NONE   },
  { GIIUC_U,           KEYBOARD_u,        KEYBOARD_NONE   },
  { GIIUC_i,           KEYBOARD_i,        KEYBOARD_NONE   },
  { GIIUC_I,           KEYBOARD_i,        KEYBOARD_NONE   },
  { GIIUC_o,           KEYBOARD_o,        KEYBOARD_NONE   },
  { GIIUC_O,           KEYBOARD_o,        KEYBOARD_NONE   },
  { GIIUC_p,           KEYBOARD_p,        KEYBOARD_NONE   },
  { GIIUC_P,           KEYBOARD_p,        KEYBOARD_NONE   },
  { GIIK_CapsLock,     KEYBOARD_2,        KEYBOARD_Caps   },
  { GIIUC_a,           KEYBOARD_a,        KEYBOARD_NONE   },
  { GIIUC_A,           KEYBOARD_a,        KEYBOARD_NONE   },
  { GIIUC_s,           KEYBOARD_s,        KEYBOARD_NONE   },
  { GIIUC_S,           KEYBOARD_s,        KEYBOARD_NONE   },
  { GIIUC_d,           KEYBOARD_d,        KEYBOARD_NONE   },
  { GIIUC_D,           KEYBOARD_d,        KEYBOARD_NONE   },
  { GIIUC_f,           KEYBOARD_f,        KEYBOARD_NONE   },
  { GIIUC_F,           KEYBOARD_f,        KEYBOARD_NONE   },
  { GIIUC_g,           KEYBOARD_g,        KEYBOARD_NONE   },
  { GIIUC_G,           KEYBOARD_g,        KEYBOARD_NONE   },
  { GIIUC_h,           KEYBOARD_h,        KEYBOARD_NONE   },
  { GIIUC_H,           KEYBOARD_h,        KEYBOARD_NONE   },
  { GIIUC_j,           KEYBOARD_j,        KEYBOARD_NONE   },
  { GIIUC_J,           KEYBOARD_j,        KEYBOARD_NONE   },
  { GIIUC_k,           KEYBOARD_k,        KEYBOARD_NONE   },
  { GIIUC_K,           KEYBOARD_k,        KEYBOARD_NONE   },
  { GIIUC_l,           KEYBOARD_l,        KEYBOARD_NONE   },
  { GIIUC_L,           KEYBOARD_l,        KEYBOARD_NONE   },
  { GIIUC_Semicolon,   KEYBOARD_o,        KEYBOARD_Symbol },
  { GIIUC_DoubleQuote, KEYBOARD_7,        KEYBOARD_Symbol },
  { GIIUC_Hash,        KEYBOARD_3,        KEYBOARD_Symbol },
  { GIIUC_Return,      KEYBOARD_Enter,    KEYBOARD_NONE   },
  { GIIK_ShiftL,       KEYBOARD_NONE,     KEYBOARD_Caps   },
  { GIIUC_z,           KEYBOARD_z,        KEYBOARD_NONE   },
  { GIIUC_Z,           KEYBOARD_z,        KEYBOARD_NONE   },
  { GIIUC_x,           KEYBOARD_x,        KEYBOARD_NONE   },
  { GIIUC_X,           KEYBOARD_x,        KEYBOARD_NONE   },
  { GIIUC_c,           KEYBOARD_c,        KEYBOARD_NONE   },
  { GIIUC_C,           KEYBOARD_c,        KEYBOARD_NONE   },
  { GIIUC_v,           KEYBOARD_v,        KEYBOARD_NONE   },
  { GIIUC_V,           KEYBOARD_v,        KEYBOARD_NONE   },
  { GIIUC_b,           KEYBOARD_b,        KEYBOARD_NONE   },
  { GIIUC_B,           KEYBOARD_b,        KEYBOARD_NONE   },
  { GIIUC_n,           KEYBOARD_n,        KEYBOARD_NONE   },
  { GIIUC_N,           KEYBOARD_n,        KEYBOARD_NONE   },
  { GIIUC_m,           KEYBOARD_m,        KEYBOARD_NONE   },
  { GIIUC_M,           KEYBOARD_m,        KEYBOARD_NONE   },
  { GIIUC_Comma,       KEYBOARD_n,        KEYBOARD_Symbol },
  { GIIUC_Period,      KEYBOARD_m,        KEYBOARD_Symbol },
  { GIIUC_Slash,       KEYBOARD_v,        KEYBOARD_Symbol },
  { GIIK_ShiftR,       KEYBOARD_NONE,     KEYBOARD_Caps   },
  { GIIK_CtrlL,        KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_AltL,         KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_MetaL,        KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_SuperL,       KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_HyperL,       KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIUC_Space,       KEYBOARD_space,    KEYBOARD_NONE   },
  { GIIK_HyperR,       KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_SuperR,       KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_MetaR,        KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_AltR,         KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_CtrlR,        KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_Menu,         KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GIIK_Left,         KEYBOARD_5,        KEYBOARD_Caps   },
  { GIIK_Down,         KEYBOARD_6,        KEYBOARD_Caps   },
  { GIIK_Up,           KEYBOARD_7,        KEYBOARD_Caps   },
  { GIIK_Right,        KEYBOARD_8,        KEYBOARD_Caps   },
  { GIIK_PageUp,       KEYBOARD_PageUp,   KEYBOARD_NONE   },
  { GIIK_PageDown,     KEYBOARD_PageDown, KEYBOARD_NONE   },
  { GIIK_Home,         KEYBOARD_Home,     KEYBOARD_NONE   },
  { GIIK_End,          KEYBOARD_End,      KEYBOARD_NONE   },

  { 0, 0, 0 }                   /* End marker: DO NOT MOVE! */

};

#endif
