/* keysyms.c: keysym to Spectrum key mappings for both Xlib and GDK
   Copyright (c) 2000-2003 Philip Kendall, Matan Ziv-Av, Russell Marks,
                           Fredrick Meunier, Catalin Mihaila

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 49 Temple Place, Suite 330, Boston, MA 02111-1307 USA

   Author contact information:

   E-mail: pak21-fuse@srcf.ucam.org
   Postal address: 15 Crescent Road, Wokingham, Berks, RG40 2DB, England

*/

/* This file is autogenerated from keysyms.dat by keysyms.pl.
   Do not edit unless you know what you're doing! */

#include <config.h>

#ifdef UI_GTK

#include <stdlib.h>

#include "keyboard.h"
#include "ui/ui.h"

#include <gdk/gdkkeysyms.h>

const keysyms_key_info keysyms_data[] = {

  { GDK_Escape,      KEYBOARD_1,        KEYBOARD_Caps   },
  { GDK_1,           KEYBOARD_1,        KEYBOARD_NONE   },
  { GDK_2,           KEYBOARD_2,        KEYBOARD_NONE   },
  { GDK_3,           KEYBOARD_3,        KEYBOARD_NONE   },
  { GDK_4,           KEYBOARD_4,        KEYBOARD_NONE   },
  { GDK_5,           KEYBOARD_5,        KEYBOARD_NONE   },
  { GDK_6,           KEYBOARD_6,        KEYBOARD_NONE   },
  { GDK_7,           KEYBOARD_7,        KEYBOARD_NONE   },
  { GDK_8,           KEYBOARD_8,        KEYBOARD_NONE   },
  { GDK_9,           KEYBOARD_9,        KEYBOARD_NONE   },
  { GDK_0,           KEYBOARD_0,        KEYBOARD_NONE   },
  { GDK_minus,       KEYBOARD_j,        KEYBOARD_Symbol },
  { GDK_equal,       KEYBOARD_l,        KEYBOARD_Symbol },
  { GDK_BackSpace,   KEYBOARD_0,        KEYBOARD_Caps   },
  { GDK_q,           KEYBOARD_q,        KEYBOARD_NONE   },
  { GDK_w,           KEYBOARD_w,        KEYBOARD_NONE   },
  { GDK_e,           KEYBOARD_e,        KEYBOARD_NONE   },
  { GDK_r,           KEYBOARD_r,        KEYBOARD_NONE   },
  { GDK_t,           KEYBOARD_t,        KEYBOARD_NONE   },
  { GDK_y,           KEYBOARD_y,        KEYBOARD_NONE   },
  { GDK_u,           KEYBOARD_u,        KEYBOARD_NONE   },
  { GDK_i,           KEYBOARD_i,        KEYBOARD_NONE   },
  { GDK_o,           KEYBOARD_o,        KEYBOARD_NONE   },
  { GDK_p,           KEYBOARD_p,        KEYBOARD_NONE   },
  { GDK_Caps_Lock,   KEYBOARD_2,        KEYBOARD_Caps   },
  { GDK_a,           KEYBOARD_a,        KEYBOARD_NONE   },
  { GDK_s,           KEYBOARD_s,        KEYBOARD_NONE   },
  { GDK_d,           KEYBOARD_d,        KEYBOARD_NONE   },
  { GDK_f,           KEYBOARD_f,        KEYBOARD_NONE   },
  { GDK_g,           KEYBOARD_g,        KEYBOARD_NONE   },
  { GDK_h,           KEYBOARD_h,        KEYBOARD_NONE   },
  { GDK_j,           KEYBOARD_j,        KEYBOARD_NONE   },
  { GDK_k,           KEYBOARD_k,        KEYBOARD_NONE   },
  { GDK_l,           KEYBOARD_l,        KEYBOARD_NONE   },
  { GDK_semicolon,   KEYBOARD_o,        KEYBOARD_Symbol },
  { GDK_apostrophe,  KEYBOARD_7,        KEYBOARD_Symbol },
  { GDK_numbersign,  KEYBOARD_3,        KEYBOARD_Symbol },
  { GDK_Return,      KEYBOARD_Enter,    KEYBOARD_NONE   },
  { GDK_Shift_L,     KEYBOARD_NONE,     KEYBOARD_Caps   },
  { GDK_z,           KEYBOARD_z,        KEYBOARD_NONE   },
  { GDK_x,           KEYBOARD_x,        KEYBOARD_NONE   },
  { GDK_c,           KEYBOARD_c,        KEYBOARD_NONE   },
  { GDK_v,           KEYBOARD_v,        KEYBOARD_NONE   },
  { GDK_b,           KEYBOARD_b,        KEYBOARD_NONE   },
  { GDK_n,           KEYBOARD_n,        KEYBOARD_NONE   },
  { GDK_m,           KEYBOARD_m,        KEYBOARD_NONE   },
  { GDK_comma,       KEYBOARD_n,        KEYBOARD_Symbol },
  { GDK_period,      KEYBOARD_m,        KEYBOARD_Symbol },
  { GDK_slash,       KEYBOARD_v,        KEYBOARD_Symbol },
  { GDK_Shift_R,     KEYBOARD_NONE,     KEYBOARD_Caps   },
  { GDK_Control_L,   KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Alt_L,       KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Meta_L,      KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Super_L,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Hyper_L,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_space,       KEYBOARD_space,    KEYBOARD_NONE   },
  { GDK_Hyper_R,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Super_R,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Meta_R,      KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Alt_R,       KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Control_R,   KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Mode_switch, KEYBOARD_NONE,     KEYBOARD_Symbol },
  { GDK_Left,        KEYBOARD_5,        KEYBOARD_Caps   },
  { GDK_Down,        KEYBOARD_6,        KEYBOARD_Caps   },
  { GDK_Up,          KEYBOARD_7,        KEYBOARD_Caps   },
  { GDK_Right,       KEYBOARD_8,        KEYBOARD_Caps   },
  { GDK_Page_Up,     KEYBOARD_PageUp,   KEYBOARD_NONE   },
  { GDK_Page_Down,   KEYBOARD_PageDown, KEYBOARD_NONE   },
  { GDK_Home,        KEYBOARD_Home,     KEYBOARD_NONE   },
  { GDK_End,         KEYBOARD_End,      KEYBOARD_NONE   },

  { 0, 0, 0 }                   /* End marker: DO NOT MOVE! */

};

#endif
