/* keysyms.c: keysym to Spectrum key mappings for both Xlib and GDK
   Copyright (c) 2000-2003 Philip Kendall, Matan Ziv-Av, Russell Marks,
                           Fredrick Meunier, Catalin Mihaila

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 49 Temple Place, Suite 330, Boston, MA 02111-1307 USA

   Author contact information:

   E-mail: pak21-fuse@srcf.ucam.org
   Postal address: 15 Crescent Road, Wokingham, Berks, RG40 2DB, England

*/

/* This file is autogenerated from keysyms.dat by keysyms.pl.
   Do not edit unless you know what you're doing! */

#include <config.h>

#ifdef UI_SDL

#include <stdlib.h>

#include "keyboard.h"
#include "ui/ui.h"

#include <SDL.h>

const keysyms_key_info keysyms_data[] = {

  { SDLK_ESCAPE,    KEYBOARD_1,        KEYBOARD_Caps   },
  { SDLK_1,         KEYBOARD_1,        KEYBOARD_NONE   },
  { SDLK_2,         KEYBOARD_2,        KEYBOARD_NONE   },
  { SDLK_3,         KEYBOARD_3,        KEYBOARD_NONE   },
  { SDLK_4,         KEYBOARD_4,        KEYBOARD_NONE   },
  { SDLK_5,         KEYBOARD_5,        KEYBOARD_NONE   },
  { SDLK_6,         KEYBOARD_6,        KEYBOARD_NONE   },
  { SDLK_7,         KEYBOARD_7,        KEYBOARD_NONE   },
  { SDLK_8,         KEYBOARD_8,        KEYBOARD_NONE   },
  { SDLK_9,         KEYBOARD_9,        KEYBOARD_NONE   },
  { SDLK_0,         KEYBOARD_0,        KEYBOARD_NONE   },
  { SDLK_MINUS,     KEYBOARD_j,        KEYBOARD_Symbol },
  { SDLK_EQUALS,    KEYBOARD_l,        KEYBOARD_Symbol },
  { SDLK_BACKSPACE, KEYBOARD_0,        KEYBOARD_Caps   },
  { SDLK_q,         KEYBOARD_q,        KEYBOARD_NONE   },
  { SDLK_w,         KEYBOARD_w,        KEYBOARD_NONE   },
  { SDLK_e,         KEYBOARD_e,        KEYBOARD_NONE   },
  { SDLK_r,         KEYBOARD_r,        KEYBOARD_NONE   },
  { SDLK_t,         KEYBOARD_t,        KEYBOARD_NONE   },
  { SDLK_y,         KEYBOARD_y,        KEYBOARD_NONE   },
  { SDLK_u,         KEYBOARD_u,        KEYBOARD_NONE   },
  { SDLK_i,         KEYBOARD_i,        KEYBOARD_NONE   },
  { SDLK_o,         KEYBOARD_o,        KEYBOARD_NONE   },
  { SDLK_p,         KEYBOARD_p,        KEYBOARD_NONE   },
  { SDLK_CAPSLOCK,  KEYBOARD_2,        KEYBOARD_Caps   },
  { SDLK_a,         KEYBOARD_a,        KEYBOARD_NONE   },
  { SDLK_s,         KEYBOARD_s,        KEYBOARD_NONE   },
  { SDLK_d,         KEYBOARD_d,        KEYBOARD_NONE   },
  { SDLK_f,         KEYBOARD_f,        KEYBOARD_NONE   },
  { SDLK_g,         KEYBOARD_g,        KEYBOARD_NONE   },
  { SDLK_h,         KEYBOARD_h,        KEYBOARD_NONE   },
  { SDLK_j,         KEYBOARD_j,        KEYBOARD_NONE   },
  { SDLK_k,         KEYBOARD_k,        KEYBOARD_NONE   },
  { SDLK_l,         KEYBOARD_l,        KEYBOARD_NONE   },
  { SDLK_SEMICOLON, KEYBOARD_o,        KEYBOARD_Symbol },
  { SDLK_QUOTE,     KEYBOARD_7,        KEYBOARD_Symbol },
  { SDLK_HASH,      KEYBOARD_3,        KEYBOARD_Symbol },
  { SDLK_RETURN,    KEYBOARD_Enter,    KEYBOARD_NONE   },
  { SDLK_LSHIFT,    KEYBOARD_NONE,     KEYBOARD_Caps   },
  { SDLK_z,         KEYBOARD_z,        KEYBOARD_NONE   },
  { SDLK_x,         KEYBOARD_x,        KEYBOARD_NONE   },
  { SDLK_c,         KEYBOARD_c,        KEYBOARD_NONE   },
  { SDLK_v,         KEYBOARD_v,        KEYBOARD_NONE   },
  { SDLK_b,         KEYBOARD_b,        KEYBOARD_NONE   },
  { SDLK_n,         KEYBOARD_n,        KEYBOARD_NONE   },
  { SDLK_m,         KEYBOARD_m,        KEYBOARD_NONE   },
  { SDLK_COMMA,     KEYBOARD_n,        KEYBOARD_Symbol },
  { SDLK_PERIOD,    KEYBOARD_m,        KEYBOARD_Symbol },
  { SDLK_SLASH,     KEYBOARD_v,        KEYBOARD_Symbol },
  { SDLK_RSHIFT,    KEYBOARD_NONE,     KEYBOARD_Caps   },
  { SDLK_LCTRL,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SDLK_LALT,      KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SDLK_LMETA,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SDLK_LSUPER,    KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SDLK_SPACE,     KEYBOARD_space,    KEYBOARD_NONE   },
  { SDLK_RSUPER,    KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SDLK_RMETA,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SDLK_RALT,      KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SDLK_RCTRL,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SDLK_MENU,      KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SDLK_LEFT,      KEYBOARD_5,        KEYBOARD_Caps   },
  { SDLK_DOWN,      KEYBOARD_6,        KEYBOARD_Caps   },
  { SDLK_UP,        KEYBOARD_7,        KEYBOARD_Caps   },
  { SDLK_RIGHT,     KEYBOARD_8,        KEYBOARD_Caps   },
  { SDLK_PAGEUP,    KEYBOARD_PageUp,   KEYBOARD_NONE   },
  { SDLK_PAGEDOWN,  KEYBOARD_PageDown, KEYBOARD_NONE   },
  { SDLK_HOME,      KEYBOARD_Home,     KEYBOARD_NONE   },
  { SDLK_END,       KEYBOARD_End,      KEYBOARD_NONE   },

  { 0, 0, 0 }                   /* End marker: DO NOT MOVE! */

};

#endif
