/* keysyms.c: keysym to Spectrum key mappings for both Xlib and GDK
   Copyright (c) 2000-2003 Philip Kendall, Matan Ziv-Av, Russell Marks,
                           Fredrick Meunier, Catalin Mihaila

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 49 Temple Place, Suite 330, Boston, MA 02111-1307 USA

   Author contact information:

   E-mail: pak21-fuse@srcf.ucam.org
   Postal address: 15 Crescent Road, Wokingham, Berks, RG40 2DB, England

*/

/* This file is autogenerated from keysyms.dat by keysyms.pl.
   Do not edit unless you know what you're doing! */

#include <config.h>

#ifdef UI_SVGA

#include <stdlib.h>

#include "keyboard.h"
#include "ui/ui.h"

#include <vgakeyboard.h>

const keysyms_key_info keysyms_data[] = {

  { SCANCODE_ESCAPE,           KEYBOARD_1,        KEYBOARD_Caps   },
  { SCANCODE_1,                KEYBOARD_1,        KEYBOARD_NONE   },
  { SCANCODE_2,                KEYBOARD_2,        KEYBOARD_NONE   },
  { SCANCODE_3,                KEYBOARD_3,        KEYBOARD_NONE   },
  { SCANCODE_4,                KEYBOARD_4,        KEYBOARD_NONE   },
  { SCANCODE_5,                KEYBOARD_5,        KEYBOARD_NONE   },
  { SCANCODE_6,                KEYBOARD_6,        KEYBOARD_NONE   },
  { SCANCODE_7,                KEYBOARD_7,        KEYBOARD_NONE   },
  { SCANCODE_8,                KEYBOARD_8,        KEYBOARD_NONE   },
  { SCANCODE_9,                KEYBOARD_9,        KEYBOARD_NONE   },
  { SCANCODE_0,                KEYBOARD_0,        KEYBOARD_NONE   },
  { SCANCODE_MINUS,            KEYBOARD_j,        KEYBOARD_Symbol },
  { SCANCODE_EQUAL,            KEYBOARD_l,        KEYBOARD_Symbol },
  { SCANCODE_BACKSPACE,        KEYBOARD_0,        KEYBOARD_Caps   },
  { SCANCODE_Q,                KEYBOARD_q,        KEYBOARD_NONE   },
  { SCANCODE_W,                KEYBOARD_w,        KEYBOARD_NONE   },
  { SCANCODE_E,                KEYBOARD_e,        KEYBOARD_NONE   },
  { SCANCODE_R,                KEYBOARD_r,        KEYBOARD_NONE   },
  { SCANCODE_T,                KEYBOARD_t,        KEYBOARD_NONE   },
  { SCANCODE_Y,                KEYBOARD_y,        KEYBOARD_NONE   },
  { SCANCODE_U,                KEYBOARD_u,        KEYBOARD_NONE   },
  { SCANCODE_I,                KEYBOARD_i,        KEYBOARD_NONE   },
  { SCANCODE_O,                KEYBOARD_o,        KEYBOARD_NONE   },
  { SCANCODE_P,                KEYBOARD_p,        KEYBOARD_NONE   },
  { SCANCODE_CAPSLOCK,         KEYBOARD_2,        KEYBOARD_Caps   },
  { SCANCODE_A,                KEYBOARD_a,        KEYBOARD_NONE   },
  { SCANCODE_S,                KEYBOARD_s,        KEYBOARD_NONE   },
  { SCANCODE_D,                KEYBOARD_d,        KEYBOARD_NONE   },
  { SCANCODE_F,                KEYBOARD_f,        KEYBOARD_NONE   },
  { SCANCODE_G,                KEYBOARD_g,        KEYBOARD_NONE   },
  { SCANCODE_H,                KEYBOARD_h,        KEYBOARD_NONE   },
  { SCANCODE_J,                KEYBOARD_j,        KEYBOARD_NONE   },
  { SCANCODE_K,                KEYBOARD_k,        KEYBOARD_NONE   },
  { SCANCODE_L,                KEYBOARD_l,        KEYBOARD_NONE   },
  { SCANCODE_SEMICOLON,        KEYBOARD_o,        KEYBOARD_Symbol },
  { SCANCODE_APOSTROPHE,       KEYBOARD_7,        KEYBOARD_Symbol },
  { SCANCODE_BACKSLASH,        KEYBOARD_3,        KEYBOARD_Symbol },
  { SCANCODE_ENTER,            KEYBOARD_Enter,    KEYBOARD_NONE   },
  { SCANCODE_LEFTSHIFT,        KEYBOARD_NONE,     KEYBOARD_Caps   },
  { SCANCODE_Z,                KEYBOARD_z,        KEYBOARD_NONE   },
  { SCANCODE_X,                KEYBOARD_x,        KEYBOARD_NONE   },
  { SCANCODE_C,                KEYBOARD_c,        KEYBOARD_NONE   },
  { SCANCODE_V,                KEYBOARD_v,        KEYBOARD_NONE   },
  { SCANCODE_B,                KEYBOARD_b,        KEYBOARD_NONE   },
  { SCANCODE_N,                KEYBOARD_n,        KEYBOARD_NONE   },
  { SCANCODE_M,                KEYBOARD_m,        KEYBOARD_NONE   },
  { SCANCODE_COMMA,            KEYBOARD_n,        KEYBOARD_Symbol },
  { SCANCODE_PERIOD,           KEYBOARD_m,        KEYBOARD_Symbol },
  { SCANCODE_SLASH,            KEYBOARD_v,        KEYBOARD_Symbol },
  { SCANCODE_RIGHTSHIFT,       KEYBOARD_NONE,     KEYBOARD_Caps   },
  { SCANCODE_LEFTCONTROL,      KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SCANCODE_LEFTALT,          KEYBOARD_NONE,     KEYBOARD_Symbol },
#ifdef SCANCODE_LEFTWIN
  { SCANCODE_LEFTWIN,          KEYBOARD_NONE,     KEYBOARD_Symbol },
#endif                          /* #ifdef SCANCODE_LEFTWIN */
  { SCANCODE_SPACE,            KEYBOARD_space,    KEYBOARD_NONE   },
#ifdef SCANCODE_RIGHTWIN
  { SCANCODE_RIGHTWIN,         KEYBOARD_NONE,     KEYBOARD_Symbol },
#endif                          /* #ifdef SCANCODE_RIGHTWIN */
  { SCANCODE_RIGHTALT,         KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SCANCODE_RIGHTCONTROL,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { 127,                       KEYBOARD_NONE,     KEYBOARD_Symbol },
  { SCANCODE_CURSORBLOCKLEFT,  KEYBOARD_5,        KEYBOARD_Caps   },
  { SCANCODE_CURSORBLOCKDOWN,  KEYBOARD_6,        KEYBOARD_Caps   },
  { SCANCODE_CURSORBLOCKUP,    KEYBOARD_7,        KEYBOARD_Caps   },
  { SCANCODE_CURSORBLOCKRIGHT, KEYBOARD_8,        KEYBOARD_Caps   },
  { SCANCODE_PAGEUP,           KEYBOARD_PageUp,   KEYBOARD_NONE   },
  { SCANCODE_PAGEDOWN,         KEYBOARD_PageDown, KEYBOARD_NONE   },
  { SCANCODE_HOME,             KEYBOARD_Home,     KEYBOARD_NONE   },
  { SCANCODE_END,              KEYBOARD_End,      KEYBOARD_NONE   },

  { 0, 0, 0 }                   /* End marker: DO NOT MOVE! */

};

#endif
