/* keysyms.c: keysym to Spectrum key mappings for both Xlib and GDK
   Copyright (c) 2000-2003 Philip Kendall, Matan Ziv-Av, Russell Marks,
                           Fredrick Meunier, Catalin Mihaila

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 49 Temple Place, Suite 330, Boston, MA 02111-1307 USA

   Author contact information:

   E-mail: pak21-fuse@srcf.ucam.org
   Postal address: 15 Crescent Road, Wokingham, Berks, RG40 2DB, England

*/

/* This file is autogenerated from keysyms.dat by keysyms.pl.
   Do not edit unless you know what you're doing! */

#include <config.h>

#ifdef UI_X

#include <stdlib.h>

#include "keyboard.h"
#include "ui/ui.h"

#include <X11/keysym.h>

const keysyms_key_info keysyms_data[] = {

  { XK_Escape,      KEYBOARD_1,        KEYBOARD_Caps   },
  { XK_1,           KEYBOARD_1,        KEYBOARD_NONE   },
  { XK_2,           KEYBOARD_2,        KEYBOARD_NONE   },
  { XK_3,           KEYBOARD_3,        KEYBOARD_NONE   },
  { XK_4,           KEYBOARD_4,        KEYBOARD_NONE   },
  { XK_5,           KEYBOARD_5,        KEYBOARD_NONE   },
  { XK_6,           KEYBOARD_6,        KEYBOARD_NONE   },
  { XK_7,           KEYBOARD_7,        KEYBOARD_NONE   },
  { XK_8,           KEYBOARD_8,        KEYBOARD_NONE   },
  { XK_9,           KEYBOARD_9,        KEYBOARD_NONE   },
  { XK_0,           KEYBOARD_0,        KEYBOARD_NONE   },
  { XK_minus,       KEYBOARD_j,        KEYBOARD_Symbol },
  { XK_equal,       KEYBOARD_l,        KEYBOARD_Symbol },
  { XK_BackSpace,   KEYBOARD_0,        KEYBOARD_Caps   },
  { XK_q,           KEYBOARD_q,        KEYBOARD_NONE   },
  { XK_w,           KEYBOARD_w,        KEYBOARD_NONE   },
  { XK_e,           KEYBOARD_e,        KEYBOARD_NONE   },
  { XK_r,           KEYBOARD_r,        KEYBOARD_NONE   },
  { XK_t,           KEYBOARD_t,        KEYBOARD_NONE   },
  { XK_y,           KEYBOARD_y,        KEYBOARD_NONE   },
  { XK_u,           KEYBOARD_u,        KEYBOARD_NONE   },
  { XK_i,           KEYBOARD_i,        KEYBOARD_NONE   },
  { XK_o,           KEYBOARD_o,        KEYBOARD_NONE   },
  { XK_p,           KEYBOARD_p,        KEYBOARD_NONE   },
  { XK_Caps_Lock,   KEYBOARD_2,        KEYBOARD_Caps   },
  { XK_a,           KEYBOARD_a,        KEYBOARD_NONE   },
  { XK_s,           KEYBOARD_s,        KEYBOARD_NONE   },
  { XK_d,           KEYBOARD_d,        KEYBOARD_NONE   },
  { XK_f,           KEYBOARD_f,        KEYBOARD_NONE   },
  { XK_g,           KEYBOARD_g,        KEYBOARD_NONE   },
  { XK_h,           KEYBOARD_h,        KEYBOARD_NONE   },
  { XK_j,           KEYBOARD_j,        KEYBOARD_NONE   },
  { XK_k,           KEYBOARD_k,        KEYBOARD_NONE   },
  { XK_l,           KEYBOARD_l,        KEYBOARD_NONE   },
  { XK_semicolon,   KEYBOARD_o,        KEYBOARD_Symbol },
  { XK_apostrophe,  KEYBOARD_7,        KEYBOARD_Symbol },
  { XK_numbersign,  KEYBOARD_3,        KEYBOARD_Symbol },
  { XK_Return,      KEYBOARD_Enter,    KEYBOARD_NONE   },
  { XK_Shift_L,     KEYBOARD_NONE,     KEYBOARD_Caps   },
  { XK_z,           KEYBOARD_z,        KEYBOARD_NONE   },
  { XK_x,           KEYBOARD_x,        KEYBOARD_NONE   },
  { XK_c,           KEYBOARD_c,        KEYBOARD_NONE   },
  { XK_v,           KEYBOARD_v,        KEYBOARD_NONE   },
  { XK_b,           KEYBOARD_b,        KEYBOARD_NONE   },
  { XK_n,           KEYBOARD_n,        KEYBOARD_NONE   },
  { XK_m,           KEYBOARD_m,        KEYBOARD_NONE   },
  { XK_comma,       KEYBOARD_n,        KEYBOARD_Symbol },
  { XK_period,      KEYBOARD_m,        KEYBOARD_Symbol },
  { XK_slash,       KEYBOARD_v,        KEYBOARD_Symbol },
  { XK_Shift_R,     KEYBOARD_NONE,     KEYBOARD_Caps   },
  { XK_Control_L,   KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Alt_L,       KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Meta_L,      KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Super_L,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Hyper_L,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_space,       KEYBOARD_space,    KEYBOARD_NONE   },
  { XK_Hyper_R,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Super_R,     KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Meta_R,      KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Alt_R,       KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Control_R,   KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Mode_switch, KEYBOARD_NONE,     KEYBOARD_Symbol },
  { XK_Left,        KEYBOARD_5,        KEYBOARD_Caps   },
  { XK_Down,        KEYBOARD_6,        KEYBOARD_Caps   },
  { XK_Up,          KEYBOARD_7,        KEYBOARD_Caps   },
  { XK_Right,       KEYBOARD_8,        KEYBOARD_Caps   },
  { XK_Page_Up,     KEYBOARD_PageUp,   KEYBOARD_NONE   },
  { XK_Page_Down,   KEYBOARD_PageDown, KEYBOARD_NONE   },
  { XK_Home,        KEYBOARD_Home,     KEYBOARD_NONE   },
  { XK_End,         KEYBOARD_End,      KEYBOARD_NONE   },

  { 0, 0, 0 }                   /* End marker: DO NOT MOVE! */

};

#endif
